Last Comment Bug 839247 - Fix signed-out experience on mobile
: Fix signed-out experience on mobile
Status: VERIFIED FIXED
[uinits][mwc] c=mkt-consumer u=user p=3
:
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: x86 Gonk (Firefox OS)
: P1 normal (vote)
: 2013-02-28
Assigned To: Christopher Van Wiemeersch [:cvan]
:
:
Mentors:
Depends on:
Blocks: 842724
  Show dependency treegraph
 
Reported: 2013-02-07 13:50 PST by Maureen Hanratty
Modified: 2013-02-21 12:37 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Account screen in signed out state (92.56 KB, image/jpeg)
2013-02-07 13:50 PST, Maureen Hanratty
no flags Details
No results found on "My Apps" (50.55 KB, image/png)
2013-02-21 12:32 PST, Maureen Hanratty
no flags Details

Description Maureen Hanratty 2013-02-07 13:50:24 PST
Created attachment 711497 [details]
Account screen in signed out state

The current signed out experience for the Marketplace is sub-optimal. When the user clicks the "gear" sign the user is taken to the "Feedback" screen which is unexpected. There are also "Log in/Register" buttons on many different screens (home screen, No results found screen for search, etc.) which makes the UI cluttered. 

I've created a prototype (in keynote) for a new signed out experience: 

https://www.dropbox.com/s/zv9eotzq8lb1gn5/_SignedOutExperience-prototype.key

The main points:
• When the user clicks the settings icon they will be taken to the "Account" screen instead of the "Feedback" screen. Tabs for "Account" "My Apps" and "Feedback" will be shown
• On the "Account" screen we will allow the user to change language and country. There will also be a "Sign in/Sign up" call-to-action.
• On the "Apps" screen there will be text to tell the user to sign in to view their apps. There will also be a "Sign in/Sign up" call-to-action.
• The Feedback form will be the same but there will NOT be a "Sign in/Sign up" call-to-action on the screen
• Once signed in the only "Sign out" button will be on the "Account" screen
• All other sign in/out buttons on other screens should be removed. 

Here are the individual screens for reference:

https://www.dropbox.com/sh/6hyo8frjr0a6seo/SNh8MlwIw3
Comment 1 Christopher Van Wiemeersch [:cvan] 2013-02-07 13:52:57 PST
I consider this part of bug 811939.
Comment 2 Christopher Van Wiemeersch [:cvan] 2013-02-12 15:36:22 PST
(In reply to Maureen Hanratty from comment #0)
> • On the "Apps" screen there will be text to tell the user to sign in to
> view their apps. There will also be a "Sign in/Sign up" call-to-action.

Would it be possible that a user could confuse our "Sign in / Sign Up" call-to-action button with a "Save Changes" button? http://cl.ly/image/0z1D031S2b3q/o

It may still be confusing, but to help alleviate potential confusion we could auto-submit the form when either <select> changes its value.
Comment 3 Maureen Hanratty 2013-02-12 16:00:04 PST
That's a great idea to auto-submit the form--thank for the suggestion. Can we even save their changes if they are not signed in? If no, we could add some text that says "To save these changes please sign in"
Comment 4 Christopher Van Wiemeersch [:cvan] 2013-02-12 16:03:46 PST
(In reply to Maureen Hanratty from comment #3)
> That's a great idea to auto-submit the form--thank for the suggestion.

So will the "Sign in" button be confusing though?

> Can we even save their changes if they are not signed in?

Yes, we can. And we will.
Comment 5 Maureen Hanratty 2013-02-12 16:33:29 PST
What if, instead of requiring the user to submit the form via "Save Changes", the changes the user made to Language, Region or Display Name (signed in state) were autosaved? We would give the user an acknowledgement that the change was saved using the Firefox OS banner pattern. Check out the prototype: 

https://www.dropbox.com/s/j2f98gob86dxfxd/_Autosave_Settings-prototype.key

Let me know what you think :)
Comment 6 Christopher Van Wiemeersch [:cvan] 2013-02-12 16:56:55 PST
(In reply to Maureen Hanratty from comment #5)
> What if, instead of requiring the user to submit the form via "Save
> Changes", the changes the user made to Language, Region or Display Name
> (signed in state) were autosaved? We would give the user an acknowledgement
> that the change was saved using the Firefox OS banner pattern. Check out the
> prototype: 

I like the usability of this. My only concern is that the number of requests in the worst case: 3 (one to change display name, one to change language, one to change region). That could get very frustrating on mobile where the connection might be slow as crap.

> https://www.dropbox.com/s/j2f98gob86dxfxd/_Autosave_Settings-prototype.key
> 
> Let me know what you think :)
Comment 7 Christopher Van Wiemeersch [:cvan] 2013-02-13 11:20:02 PST
Maureen, should the "Sign in / Sign up" continue to be at the bottom of every page? (Or at least just the homepage?)

If it's not, the only places where users could sign in/sing up from mobile would be

* Account Settings (which may not be obvious for neither new users nor returning users)
* Purchasing a paid app
* Writing a review
Comment 8 Christopher Van Wiemeersch [:cvan] 2013-02-13 11:30:40 PST
Maureen and I chatted: we will prompt the user to "sign in" or "sign up" from the Account Settings, and from My Apps, when purchasing a paid app (which we do), and when writing a review (which we don't yet but I'll add).
Comment 9 Maria Sandberg [:mushi] 2013-02-14 15:20:32 PST
This looks good to me! One quick question - does the notification animate or fade or something from the bottom of the screen? I actually didn't notice it in the keynote until the second or third time even though I was looking for it. Some kind of movement might help.
Comment 10 Christopher Van Wiemeersch [:cvan] 2013-02-14 15:22:17 PST
We can't do this natively, but I can try to fake it to emulate Gaia's as much as possible. Feels really dirty.
Comment 11 Christopher Van Wiemeersch [:cvan] 2013-02-15 16:35:02 PST
If I'm feeling adventurous: https://www.dropbox.com/s/voa7ejhcgrbg6np/_Settings-Tabs-prototype.key
Comment 12 Maureen Hanratty 2013-02-15 16:43:08 PST
You found that, eh? I need to run that by Maria first :) I'll let you know on Tuesday.
Comment 13 Christopher Van Wiemeersch [:cvan] 2013-02-19 16:38:01 PST
https://github.com/mozilla/zamboni/commit/aa05e92
Comment 14 Victor Carciu 2013-02-21 08:45:12 PST
Verified as fixed on my Unagi device. From what I can see, all requirements from above are now implemented and functional
Comment 15 Maureen Hanratty 2013-02-21 12:32:13 PST
Created attachment 716717 [details]
No results found on "My Apps"

Getting this "No results found." message when I sign in and go to "My Apps". Strange because I do have apps in my account. On the desktop dev site it is showing my apps. 

If the user has no apps, instead of showing "No results found." can we replace with "You have no apps" using the same text treatment shown on the "You must sign in to view your apps" in the signed out state?
Comment 16 Christopher Van Wiemeersch [:cvan] 2013-02-21 12:34:41 PST
(In reply to Maureen Hanratty from comment #15)
> Created attachment 716717 [details]
> No results found on "My Apps"
> 
> Getting this "No results found." message when I sign in and go to "My Apps".
> Strange because I do have apps in my account. On the desktop dev site it is
> showing my apps. 

Could it be because those apps are desktop-only?

> If the user has no apps, instead of showing "No results found." can we
> replace with "You have no apps" using the same text treatment shown on the
> "You must sign in to view your apps" in the signed out state?

Done: https://github.com/mozilla/zamboni/commit/857d05c
Comment 17 Maureen Hanratty 2013-02-21 12:36:05 PST
No, it is missing cross-platform apps like Solitaire.

Thanks!
Comment 18 Christopher Van Wiemeersch [:cvan] 2013-02-21 12:37:48 PST
(In reply to Maureen Hanratty from comment #17)
> No, it is missing cross-platform apps like Solitaire.

Could you file a separate bug for that? Thanks!

Note You need to log in before you can comment on or make changes to this bug.